# 部署

## 安装环境

macOS
[Get started with tensorflow-metal](https://developer.apple.com/metal/tensorflow-plugin/)
Releases 部分很重要，这里没提到的，不一定`能用`。

PyCharm 创建项目后，会自动创建一个虚拟环境。
打开终端后，会发现已经进入了 `venv` 的环境。

```shell
# 查看 Python 版本
python -V

# 查看 pip 版本
pip -V

# 安装 TensorFlow 环境
# https://pypi.org/project/tensorflow-macos
python -m pip install tensorflow-macos==2.10
# https://pypi.org/project/tensorflow-metal
python -m pip install tensorflow-metal==0.6

```

镜像加速

```shell
python -m pip install tensorflow -i https://pypi.tuna.tsinghua.edu.cn/simple

```

## 测试

[TensorFlow with GPU](https://colab.research.google.com/notebooks/gpu.ipynb)

在 [main.py](main.py) 里可以运行这个测试，看看 CUP 和 GPU 那个快一些。

## 石头剪刀布

训练用的数据
[Datasets for Machine Learning](https://laurencemoroney.com/datasets.html)

石头剪刀布数据集（ Rock Paper Scissors Dataset ）

### 依赖

运行 [rock_paper_scissors.py](rock_paper_scissors.py) 训练需要安装额外的依赖。

```shell
# Could not import PIL.Image. The use of `load_img` requires PIL.
python -m pip install pillow

# Image transformations require SciPy. Install SciPy.
python -m pip install SciPy

# Matplotlib: Visualization with Python
python -m pip install matplotlib

```

## 其他命令

```shell
# 创建虚拟环境
python3 -m venv ./venv

# 更新 pip
pip install --upgrade pip

```
