import tensorflow as tf
from keras.preprocessing.image import ImageDataGenerator

VALIDATION_DIR = '../rps-test-set/'
validation_datagen = ImageDataGenerator(rescale=1. / 255)
validation_generator = validation_datagen.flow_from_directory(
    VALIDATION_DIR,
    target_size=(150, 150),
    class_mode='categorical',
    batch_size=126,
)

model = tf.keras.models.load_model('rps.h5')
# Check its architecture
model.summary()

loss, acc = model.evaluate(validation_generator, verbose=2)

print('Restored model, accuracy: {:5.2f}%'.format(100 * acc))
